Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBProductMBean

All Superinterfaces:
  CIBObjectMBean

All Known Implementing Classes:
  CIBProduct

public interface CIBProductMBean
extends CIBObjectMBean

Provides methods that should be implemented by a CIBProduct managed object. CIBProduct is the base object model to represent a deployed Java-ES Component Product on a particular system. The attributes of the CIBProduct object model specify static identification and configuration data relative to the install of the Component Product.

Field Summary
`static java.lang.String` | `defaultVendor` Represents the default vendor name

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`javax.management.ObjectName` | `getApplicationByName(java.lang.String name)` Returns the ObjectName for a given application
`javax.management.ObjectName[]` | `getApplications()` Returns the list of ObjectName(s) of each Application instances running into the Product
`long` | `getInstallTime()` Returns the installation time of the component product
`java.lang.String` | `getPatchId()` Returns the PatchID String which represents the path revision applied to the Componet product
`java.lang.String` | `getProductName()` Returns the product name
`java.lang.String` | `getProductVersion()` Provides the product version
`java.lang.String` | `getVendorName()` Returns as a String the Vendor name.

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Field Detail

### defaultVendor

    public static final java.lang.String defaultVendor

  Represents the default vendor name

  See Also:
    Constant Field Values

Method Detail

### getProductName

    public java.lang.String getProductName()
                                    throws javax.management.InvalidAttributeValueException

  Returns the product name

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getProductVersion

    public java.lang.String getProductVersion()
                                       throws javax.management.InvalidAttributeValueException

  Provides the product version

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getPatchId

    public java.lang.String getPatchId()

  Returns the PatchID String which represents the path revision applied to the Componet product

  Returns:
    String

### getVendorName

    public java.lang.String getVendorName()
                                   throws javax.management.InvalidAttributeValueException

  Returns as a String the Vendor name.

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getInstallTime

    public long getInstallTime()

  Returns the installation time of the component product

  Returns:
    long

### getApplications

    public javax.management.ObjectName[] getApplications()

  Returns the list of ObjectName(s) of each Application instances running into the Product

  Returns:
    ObjectName[]

### getApplicationByName

    public javax.management.ObjectName getApplicationByName(java.lang.String name)

  Returns the ObjectName for a given application

  Parameters:
    `name` - String
  Returns:
    ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD